curl --request GET \
--url https://api.devin.ai/v3/enterprise/metrics/prs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/metrics/prs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/metrics/prs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prs_closed_count": 123,
"prs_created_count": 123,
"prs_merged_count": 123,
"prs_opened_count": 123,
"prs_taken_over_closed_count": 0,
"prs_taken_over_count": 0,
"prs_taken_over_merged_count": 0,
"prs_taken_over_opened_count": 0
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}GET Métricas de PR
Obtém métricas agregadas de pull requests (PRs) para a conta Enterprise.
Opcionalmente, filtre por playbook_id para obter métricas de PRs das sessões criadas com um playbook específico.
Permissões
ViewAccountMetrics no nível Enterprise.Autorizações
Credencial de usuário de serviço (prefixo: cog_)
Parâmetros de consulta
Resposta
Resposta bem-sucedida
Modelo de resposta para métricas de PR (pull requests).
PRs criadas pelo Devin que foram fechadas sem merge.
Total de PRs criadas pelo Devin em todos os estados (abertas + com merge + fechadas).
PRs criadas pelo Devin que tiveram merge.
PRs criadas pelo Devin que estão abertas no momento.
PRs assumidas pelo Devin que foram fechadas sem merge.
Total de PRs assumidas pelo Devin em todos os estados (abertas + com merge + fechadas). Uma assunção ocorre quando o Devin envia commits para uma PR que ele não criou originalmente.
PRs assumidas pelo Devin que tiveram merge.
PRs assumidas pelo Devin que estão abertas no momento.

